curl --request POST \
--url https://api.getmembrane.com/integrations/{id}/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/integrations/{id}/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/integrations/{id}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"revision": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"logoUri": "<string>",
"connectorId": "<string>",
"connectorVersion": "<string>",
"oAuthCallbackUri": "<string>",
"parameters": {},
"hasMissingParameters": true,
"hasDocumentation": true,
"hasOperations": true,
"operationsCount": 123,
"hasData": true,
"dataCollectionsCount": 123,
"hasEvents": true,
"eventsCount": 123,
"hasGlobalWebhooks": true,
"hasUdm": true,
"isTest": true,
"externalAppId": "<string>",
"authType": "integration-app-token",
"optionsConfig": {},
"connection": {
"id": "<string>",
"name": "<string>",
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"tenantId": "<string>",
"type": "connector",
"key": "<string>",
"isTest": true,
"connected": true,
"disconnected": true,
"isDefunct": true,
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"requestError": {
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"error": {
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"integrationId": "<string>",
"connectorId": "<string>",
"externalAppId": "<string>",
"connectorVersion": "<string>",
"authOptionKey": "<string>",
"lastActiveAt": "<string>",
"nextCredentialsRefreshAt": "<string>",
"nextRetryTimestamp": "<string>",
"retryAttempts": 123,
"canTest": true,
"canRefreshCredentials": true,
"archivedAt": "<string>",
"isDeactivated": true,
"meta": {},
"buildingAgentSessionId": "<string>",
"clientAction": {
"type": "connect",
"description": "<string>",
"uiUrl": "<string>",
"agentInstructions": "<string>",
"handoffAgentInstructions": "<string>"
}
},
"spec": {},
"appUri": "<string>",
"isConnected": true
}Setup integration configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Display name. Always present in API responses (filled by API if not set on create).
Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.
Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.
Optional human-readable description.
Optional key-value metadata.
Show child attributes
Show child attributes
Current lifecycle or health state (e.g. READY, SETUP_FAILED, CONFIGURATION_ERROR, BUILDING). Set by the engine during setup and validation.
BUILDING, CLIENT_ACTION_REQUIRED, CONFIGURATION_ERROR, SETUP_FAILED, READY, DISCONNECTING Validation or setup errors when state is not READY.
Show child attributes
Show child attributes
Opaque revision token; changes on each update. Used for optimistic concurrency.
ISO date when the element was created.
ISO date when the element was last updated.
When true, the element cannot be modified (e.g. published package elements or elements from another workspace).
integration-app-token, membrane-token, oauth2, oauth1, client-credentials, proxy Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?